bcao
====

bandcamp album organiser - a python script to organise, rename, and apply cover art to zip files downloaded from bandcamp.

## usage
```
./bcao.py [zip file] [options]
```
see the help menu (`--help`) for more.

## installing
### the astoundingly easy way
*requires [pipx](https://pipxproject.github.io/pipx/).*
this will install and run bcao from a temporary location.
```
pipx run --spec git+https://git.bune.city/lynnesbian/bcao bcao [album name.zip]
```
### the very easy way
download [bcao.pex](https://git.bune.city/lynnesbian/bcao/raw/branch/master/bcao.pex) and run it:
```
python bcao.pex [album name.zip]
```
a [pex file](https://github.com/pantsbuild/pex/) is a zip that contains everything needed for a python program to run,
including its dependencies.

### the pretty easy way
requires [poetry](https://python-poetry.org/).
installs the package into a virtual environment in the current directory.
```
git clone https://git.bune.city/lynnesbian/bcao
cd bcao
poetry install
poetry run bcao [album name.zip]
```

### the other way
you don't *have* to create a virtualenv, but, y'know, you should and all
```
git clone https://git.bune.city/lynnesbian/bcao
cd bcao
virtualenv venv
source venv/bin/activate
pip install -r requirements.txt
python -m bcao [album name.zip]
```

## building it yourself
see `build.sh`
